package com.example;


import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.quartz.QuartzJobBean;

import java.io.File;


public class TestQuartz extends QuartzJobBean {


    @Value("${waterPicPath}")
    private String waterPicPath;

    @Value("${waterPicPathFlag}")
    private String waterPicPathFlag;




    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext)  {
        if (waterPicPathFlag == "0") {
            return;
        }
        String filePath = waterPicPath;
        File file = new File(filePath);
        if (file.isDirectory()) {
            for (File f : file.listFiles()) {
                f.delete();
            }
        }
    }
}
