package com.example.duplicate.controller;


import com.example.duplicate.common.ResultBody;
import com.example.duplicate.service.LzRmService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName LzRmController
 * @Description 连州人民接口
 * @Author linjj
 * @Date 2023/11/10 15:38
 * @Version 1.0
 */
@RestController
@RequestMapping("/LzRm")
@Api(value = "连州人民接口", tags = "连州人民相关接口", description = "连州人民相关接口")
public class LzRmController {
    @Autowired
    private LzRmService lzRmService;
    @ResponseBody
    @RequestMapping(value = "splitFile", method = RequestMethod.POST)
    @ApiOperation(value = "拆分影像信息", notes = "拆分影像信息")
    public ResultBody LzRmSplit(){
        int i = lzRmService.LzRmSplit();
        if (i==1){
            return ResultBody.success("完成");
        }
        return ResultBody.success("失败");
    }

}
