package com.example.duplicate.infrastructure.configOneDao;


import com.example.duplicate.controller.vo.AddLzRmCommVo;
import com.example.duplicate.controller.vo.CommomtableCopyVo;
import com.example.duplicate.controller.vo.CommomtableVo;
import com.example.duplicate.controller.vo.PageCountVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName CommomtableMapper
 * @Description 路径信息Mapper接口
 * @Author linjj
 * @Date 2023/5/12 16:30
 * @Version 1.0
 */
@Mapper
public interface CommomtableMapper {

    List<String> getCommomtable(@Param("inpatientNo")String inpatientNo, @Param("admissTimes")Integer admissTimes,@Param("assortId") String assortId);


    List<CommomtableVo> getZdAssort(@Param("inpatientNo")String inpatientNo, @Param("admissTimes")Integer admissTimes);


    PageCountVo getPageCount(@Param("inpatientNo")String inpatientNo, @Param("admissTimes")Integer admissTimes, @Param("assortId") String assortId);

    int addAddLzRmComm(AddLzRmCommVo addLzRmCommVo);

    List<CommomtableCopyVo>com();

}
