package com.example.duplicate.controller;

import com.example.duplicate.controller.vo.CommomtableCopyVo;
import com.example.duplicate.infrastructure.configOneDao.CommomtableMapper;
import com.example.duplicate.service.MessageLogService;
import com.example.duplicate.service.MessageLogTwoService;
import com.example.duplicate.service.MessageSubordinateService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @ClassName ZJYYController
 * @Description 湛江医院接口
 * @Author linjj
 * @Date 2023/10/13 13:49
 * @Version 1.0
 */
@RestController
@Api(value = "湛江医院接口", tags = "湛江医院相关接口", description = "湛江医院相关接口")
@RequestMapping("/ZJYY")
@Slf4j
public class ZJYYController {

    @Autowired
    MessageSubordinateService messageSubordinateService;
    @Autowired
    MessageLogService messageLogService;
    @Autowired
    MessageLogTwoService messageLogTwoService;
    @Autowired
    CommomtableMapper commomtableMapper;
    @RequestMapping(value = "delMessage" , method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "删除messageSubordinate内容" , notes = "删除messageSubordinate内容")
    public int delMessage() {
        return messageSubordinateService.delMessage();
    }



    @RequestMapping(value = "delMessageLog" , method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "删除messageLog内容" , notes = "删除messageLog内容")
    public int delMessageLog() {
        return messageLogService.delMessageLog();
    }

    @RequestMapping(value = "addMessageLog" , method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "移动messageLog内容" , notes = "移动messageLog内容")
    public int addMessageLog(){
        return messageLogTwoService.addMessageLog();
    }


    @RequestMapping(value = "addMessage" , method = RequestMethod.POST)
    @ResponseBody
    @ApiOperation(value = "移动messageScanning表数据" , notes = "移动messageScanning表数据")
    public int addMessage(){
        return messageSubordinateService.addMessage();
    }


    @RequestMapping(value = "com" , method = RequestMethod.POST)
    @ResponseBody
    public String com(String mid){
        List<CommomtableCopyVo> com = commomtableMapper.com();
        for (CommomtableCopyVo list:com){
            StringBuffer sb=new StringBuffer();
            sb.append("(inp_no =' "+list.getInpatientNo()+" 'and visit_id = '"+list.getAdmissTimes()+" ' ) or");
            log.info(sb.toString());
        }
        return"";
    }


}
