package com.example.duplicate.controller.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @ClassName commomtableVo
 * @Description commomtable表
 * @Author linjj
 * @Date 2023/5/12 15:57
 * @Version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="commomtable表对象", description="查询路径返回参数实体")
public class CommomtableVo {

    @ApiModelProperty(value = "文件保存目录地址")
    private String filePath;
    @ApiModelProperty(value = "图片类型")
    private String assortName;
    @ApiModelProperty(value = "文件类型id")
    private String assortId;


}
