package com.example.duplicate.controller.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * @ClassName commomtableVo
 * @Description 返回给第三方路径参数
 * @Author linjj
 * @Date 2023/5/12 15:57
 * @Version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = false)
public class DuplicateVo {

    @ApiModelProperty(value = "标题")
    private  String title;
    @ApiModelProperty(value = "文件分类")
    private  String assortName;
    @ApiModelProperty(value = "页数")
    private  String pageCount;
    @ApiModelProperty(value = "路径")
    private  String pdfUrl;
}
