package com.example.duplicate.infrastructure.configOneDao;


import com.example.duplicate.controller.vo.MessageLog;
import com.example.duplicate.controller.vo.MessageLogVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName MessageLogMapper
 * @Description
 * @Author linjj
 * @Date 2023/10/13 13:58
 * @Version 1.0
 */
@Mapper
public interface MessageLogMapper  {

    int  getMessageLogNum(String dateTime);

    List<MessageLogVo>getAllByIds(String dateTime);

    String getSynchronousTime();

    int updateSynchronousTime(String dischargeDateTime);

    List<MessageLog>getAllBy(String synchronousTime);
    int del(@Param(value = "messageLogIds")String messageLogIds);

    List<MessageLog>getAllByMasterId(@Param(value = "masterIds")String masterIds);
}
