package com.example.duplicate.infrastructure.configOneDao;


import com.example.duplicate.controller.vo.MessageSubordinate;
import com.example.duplicate.controller.vo.MessageSubordinateVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName messageSubordinateMapper
 * @Description
 * @Author linjj
 * @Date 2023/10/13 13:58
 * @Version 1.0
 */
@Mapper
public interface MessageSubordinateMapper {

    int getMessageNum(String dateTime);


    List<MessageSubordinateVo>getAllByIds();

    int del(@Param(value = "messageLogIds")String messageLogIds);

    String getSynchronousTime();

    int updateSynchronousTime(String dischargeDateTime);


    List<MessageSubordinate>getAllByTime(String synchronousTime);

    List<MessageSubordinate>getAllByMessageLogId(@Param(value = "messageLogIds")String messageLogIds);


}
