package com.example.duplicate.infrastructure.configOneDao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.example.duplicate.controller.vo.FliePath;
import com.example.duplicate.controller.vo.PhVo;
import com.example.duplicate.controller.vo.TscanAssort;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName QualityMapper
 * @Description 文件质检
 * @Author linjj
 * @Date 2023/4/13 15:29
 * @Version 1.0
 */
@Mapper
public interface QualityMapper extends BaseMapper<FliePath> {

    Integer getPhNum(@Param("startRange")String startRange, @Param("endRange")String endRange);

    Integer getFileNum(@Param("startRange")String startRange, @Param("endRange")String endRange);

    List<String> getFliePath(@Param("ph")String ph);
    List<String> getFliePaths(@Param("phs")List<String> phs);
    List<String>getPh(@Param("startRange")String startRange, @Param("endRange")String endRange);

    List<FliePath>getPhAndFliePath(@Param("startRange")String startRange, @Param("endRange")String endRange);

    int addPh(@Param("list")List<PhVo>list);

    int addFliePath(@Param("ph")String ph,@Param("fliePath")String fliePath);

    int addTscanAssort(TscanAssort tscanAssort);
}
